Coinbase fiat→USDC on-ramp session
curl --request POST \
--url https://api.getsly.ai/v1/v1/funding/onramp-session \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_amount_usd": 123,
"supported_payment_methods": [],
"return_url": "<string>"
}
'import requests
url = "https://api.getsly.ai/v1/v1/funding/onramp-session"
payload = {
"wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_amount_usd": 123,
"supported_payment_methods": [],
"return_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
wallet_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_amount_usd: 123,
supported_payment_methods: [],
return_url: '<string>'
})
};
fetch('https://api.getsly.ai/v1/v1/funding/onramp-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"session_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"session_token": "<string>"
}
}Funding
Coinbase fiat→USDC on-ramp session
Embedded Coinbase on-ramp. User completes funding in Coinbase’s flow; wallet credited on confirmation.
POST
/
v1
/
funding
/
onramp-session
Coinbase fiat→USDC on-ramp session
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Body
application/json
Response
201 - application/json
Session
Show child attributes
Show child attributes
⌘I